using System.Collections.Generic;

namespace Stat.BLL
{
    /// <summary>
    /// 新闻公告
    /// </summary>
    public class Notify
    {

        private static IDAL.INotify dal = DALFactory.AbstractFactory.GetInstance().CreateNotify();

        /// <summary>
        /// 添加信息
        /// </summary>
        /// <returns></returns>
        public static bool Insert(Stat.Model.Notify model)
        {

            return dal.Insert(model);
        }
        /// <summary>
        /// 修改信息
        /// </summary>
        /// <returns></returns>
        public static bool Update(Stat.Model.Notify model)
        {

            return dal.Update(model);
        }
        /// <summary>
        ///删除信息
        /// </summary>
        /// <returns></returns>
        public static bool Delete(int id)
        {

            return dal.Delete(id);
        }
        /// <summary>
        /// 
        /// </summary>
        /// <param name="NotieModel"></param>
        /// <param name="pageModel"></param>
        /// <returns></returns>
        public static IList<Model.Notify> Get(Model.Notify NotieModel, ref Model.PageInfo pageModel)
        {
            return dal.Get(NotieModel, ref pageModel);
        }
        /// <summary>
        /// 获取信息
        /// </summary>
        /// <returns></returns>
        public static IList<Stat.Model.Notify> Get(int id)
        {
            return dal.Get(id);
        }
        /// <summary>
        /// 
        /// </summary>
        /// <param name="Num"></param>
        /// <param name="IsTop"></param>
        /// <returns></returns>
        [System.Obsolete("The method is obsolete", true)]
        public static IList<Model.Notify> GetTop1(int Num, int IsTop)
        {
            // return dal.GetTop1(Num, IsTop);
            return null;
        }
    }
}
